Creazione in massa utenti da csv
Status: Commenti Start date: 08/28/2019
Priority: Alta Due date:

Assignee: Mark Caglienzi % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Description

La creazione in massa non va a buon fine se nel csv compaiono utenti gia esistenti. Pud essere un problema in caso di bocciature,
cambi di sezione, ecc.

E' possibile implementare un sistema che controlli se un utente esiste gia, lo escluda dalla creazione nuovi utenti in modo che il
processo vada a buon fine?

Associated revisions

Revision 0683a127 - 09/15/2019 11:46 AM - Marco Marinello

Do not stop on already existing users. refs #892

Signed-off-by: Marco Marinello <me@marcomarinello.it>

Revision 5818df14 - 09/15/2019 11:48 AM - Marco Marinello
Release 0.2.53 . refs #892

Signed-off-by: Marco Marinello <me@marcomarinello.it>

History

#1 - 08/29/2019 11:35 PM - Marco Marinello
- Assignee changed from NUCLEO FUSS to Marco Marinello

#2 - 09/15/2019 10:48 AM - Marco Marinello

- Status changed from Nuovo to In elaborazione

#3 - 09/15/2019 11:59 AM - Marco Marinello
- Status changed from In elaborazione to Commenti

- Assignee changed from Marco Marinello to Paolo Dongilli

Ok, ho aggiunto una variabile che stabilisce se bloccare o no I'impostazione e messa a False se gli errori sono solo di utenti gia esistenti. Questi
vengono poi comunicati con messaggio normale. Da testare il pacchetto buildato su gitlab e poi pubblicare.

#4 - 03/16/2020 04:24 PM - Claudio Cavalli
- Assignee changed from Paolo Dongilli to Elena Grandi

- Priority changed from Normale to Alta

Ciao.

E' possibile implementare questa modifica in octonet?

Attualmente, se nel csv compare anche un solo utente gia esistente in Idap, il processo di importazione si blocca, oltretutto senza dare nessun
messaggio.

Sarebbe molto utile inoltre che venisse creato un file csv o txt con I'elenco degli utenti gia esistenti per poterli poi riposizionare nelle classi corrette.
Grazie
Claudio

#5 - 03/17/2020 11:26 AM - Marco Marinello

Che non si blocchi nel caso di utente gia esistente I'no implementato io nelle revisioni associate, almeno che non siano state eliminate dal tree.

#6 - 03/17/2020 12:50 PM - Claudio Cavalli

Comunque non é risolto, almeno su buster, che sto testando.
e Ho inserito un gruppo di utenti da csv ed & andato a buon fine.
e Ho inserito un secondo gruppo di utenti comprendente alcuni utenti gia inseriti.
¢ |l processo resta in standby senza nessun avviso.
¢ Andando indietro con la freccia dopo 10 min, compare una finestra con gli utenti gia esistenti ma gli altri non sono stati aggiunti.

Lascerei che se ne occupi Elena, Marco.

#7 - 03/17/2020 02:10 PM - Simone Piccardi

- Assignee changed from Elena Grandi to Mark Caglienzi

#8 - 03/17/2020 02:37 PM - Elena Grandi

(intanto confermo che le modifiche di Marco sono presenti in master, non ho controllato se ci siano state modifiche successive su quei file)
